Summary:        A description of Finnish morphology written for libvoikko
Name:           voikko-fi
Version:        2.5
Release:        5%{?dist}
License:        GPLv2+
URL:            https://voikko.puimula.org/
Source0:        https://www.puimula.org/voikko-sources/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  make foma
BuildRequires:  python3-devel
BuildRequires:  voikko-tools >= 4.3
Requires:       libvoikko >= 4.3
Provides:       malaga-suomi-voikko = %{version}-%{release}
BuildArch:      noarch

%description
Voikko-fi is a description of Finnish morphology written for libvoikko.
The implementation uses unweighted VFST format and provides format 5 Finnish
dictionary for libvoikko 4.0 or later. For Voikko the morphology supports
spell checking, hyphenation and grammar checking.

%prep
%autosetup

%build
%make_build vvfst

%install
make vvfst-install DESTDIR=$RPM_BUILD_ROOT%{_prefix}/lib/voikko

%files
%license COPYING
%doc ChangeLog CONTRIBUTORS README.md
%{_prefix}/lib/voikko/5

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Nov 18 2022 Xiaojie Chen <jackxjchen@tencent.com> - 2.5-1
- Initial build
